OpenCV: cv::cuda::Event Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Types | Public Member Functions | Static Public Member Functions | Friends | List of all members
cv::cuda::Event Class Reference
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Core part » Data Structures

`#include "cuda.hpp"`

## Public Types
enum | CreateFlags { DEFAULT = 0x00, BLOCKING_SYNC = 0x01, DISABLE_TIMING = 0x02, INTERPROCESS = 0x04 }

## Public Member Functions
| Event (CreateFlags flags=DEFAULT)
bool | queryIfComplete () const
| queries an event's status More...
void | record (Stream &stream=Stream::Null())
| records an event More...
void | waitForCompletion ()
| waits for an event to complete More...

## Static Public Member Functions
static float | elapsedTime (const Event &start, const Event &end)
| computes the elapsed time between events More...

## Friends
struct | EventAccessor

## Member Enumeration Documentation

## ◆ CreateFlags

enum cv::cuda::Event::CreateFlags

Enumerator
DEFAULT | Default event flag
BLOCKING_SYNC | Event uses blocking synchronization
DISABLE_TIMING | Event will not record timing data
INTERPROCESS | Event is suitable for interprocess use. DisableTiming must be set

## Constructor & Destructor Documentation

## ◆ Event()

cv::cuda::Event::Event | ( | CreateFlags | flags = `DEFAULT` | ) |
| explicit

## Member Function Documentation

## ◆ elapsedTime()

static float cv::cuda::Event::elapsedTime | ( | const Event & | start,
|  | const Event & | end
| ) |  |
| static

computes the elapsed time between events

## ◆ queryIfComplete()

bool cv::cuda::Event::queryIfComplete | ( |  | ) | const

queries an event's status

## ◆ record()

void cv::cuda::Event::record | ( | Stream & | stream = `Stream::Null()` | ) |

records an event

## ◆ waitForCompletion()

void cv::cuda::Event::waitForCompletion | ( |  | ) |

waits for an event to complete

## Friends And Related Function Documentation

## ◆ EventAccessor

friend struct EventAccessor
| friend

The documentation for this class was generated from the following file:

- core/include/opencv2/core/cuda.hpp